package addressbook;

/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: Person.java 511428 2007-02-25 03:30:52Z vgritsenko $
 */

// Class to hold individual contact data
public class Person {

   String dockey = null;
   String fname = null;
   String lname = null;
   String workphone = null;
   String homephone = null;
   String cellphone = null;
   String homeemail = null;
   String workemail = null;
   String homeaddress = null;
   String workaddress = null;
   
   // Document Key
   public void setDocKey(String key) {
      dockey = key;
   }
   
   public String getDocKey() {
      return dockey;
   }
   
   // First Name
   public void setFname(String name) {
      fname = name;
   }

   public String getFname() {
      return fname;
   }
   
   // Last Name
   public void setLname(String name) {
      lname = name;
   }
   
   public String getLname() {
      return lname;
   }
   
   // Work Phone
   public void setWorkPhone(String phone) {
      workphone = phone;
   }
   
   public String getWorkPhone() {
      return workphone;
   }
   
   // Home Phone
   public void setHomePhone(String phone) {
      homephone = phone;
   }
   
   public String getHomePhone() {
      return homephone;
   }
   
   // Cell Phone
   public void setCellPhone(String phone) {
      cellphone = phone;
   }
   
   public String getCellPhone() {
      return cellphone;
   }
   
   // Home email
   public void setHomeEmail(String email) {
      homeemail = email;
   }
   
   public String getHomeEmail() {
      return homeemail;
   }
   
   // Work Email
   public void setWorkEmail(String email) {
      workemail = email;
   }
   
   public String getWorkEmail() {
      return workemail;
   }
   
   // Home Address
   public void setHomeAddress(String address) {
      homeaddress = address;
   }
   
   public String getHomeAddress() {
      return homeaddress;
   }
   
   // Work Address
   public void setWorkAddress(String address) {
      workaddress = address;
   }
   
   public String getWorkAddress() {
      return workaddress;
   }

}
