<%
/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: searchContacts.jsp 511428 2007-02-25 03:30:52Z vgritsenko $
 */
%>

<%@ include file="header.jsp" %>

<FONT SIZE="+2">
   <CENTER>
      Search for a Contact
   </CENTER>
</FONT>

   <TABLE BORDER="0">
      <FORM NAME="SEARCH" ACTION="/addressbook/Task" METHOD="POST">
         <INPUT TYPE="HIDDEN" NAME="ACTION" VALUE="ATTRIBUTESEARCH">
         <TR>
            <TD COLSPAN="3">
               <FONT SIZE="+1">
                  <B>
                     Search by attribute
                  </B>
               </FONT>
            </TD>
            <TD>
         </TR>
         <TR>
            <TD>
               <SELECT NAME="SEARCHTYPE">
                  <OPTION SELECTED VALUE="lname">Last Name
                  <OPTION VALUE="fname">First Name
                  <OPTION VALUE="workphone">Work Phone
                  <OPTION VALUE="homephone">Home Phone
                  <OPTION VALUE="cellphone">Cell Phone
                  <OPTION VALUE="homeemail">Home Email
                  <OPTION VALUE="workemail">Work Email
                  <OPTION VALUE="homeaddress">Home Address
                  <OPTION VALUE="workaddress">Work Address
               </SELECT>
            </TD>
            <TD>
               <INPUT TYPE="TEXT" NAME="SEARCHSTRING" SIZE="50">
            </TD>
            <TD>
               <INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="SEARCH">
            </TD>
         </TR>
         <TR>
            <TD>
               &nbsp;
            </TD>
            <TD>
               Note: Search is case sensitive and must be exact
            </TD>
         </TR>
      </FORM>

      <TR>
         <TD>
            &nbsp
         </TD>
      </TR>
      <TR>
         <TD>
            &nbsp
         </TD>
      </TR>
      <TR>
         <TD>
            &nbsp
         </TD>
      </TR>
      <TR>
         <TD>
            &nbsp
         </TD>
      </TR>
      
      <FORM NAME="XPATHSEARCH" ACTION="/addressbook/Task" METHOD="POST">
         <INPUT TYPE="HIDDEN" NAME="ACTION" VALUE="XPATHSEARCH">
         <TR>
            <TD COLSPAN="3">
               <FONT SIZE="+1">
                  <B>
                     Full Xpath query
                  </B>
               </FONT>
            </TD>
         </TR>
         <TR>
            <TD>
               Xpath query
            </TD>
            <TD>
               <INPUT TYPE="TEXT" NAME="SEARCHSTRING" SIZE="50">
            </TD>
            <TD>
               <INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="SEARCH">
            </TD>
         </TR>
         <TR>
            <TD>
               &nbsp;
            </TD>
            <TD>
               Example -  /person[lname='Simpson']  ( See <A HREF="/addressbook">Here</A> for sample XML format )
            </TD>
         </TR>
      </FORM>
   </TABLE>

<%@ include file="footer.jsp" %>
