@echo off
:: Licensed to the Apache Software Foundation (ASF) under one or more
:: contributor license agreements.  See the NOTICE file distributed with
:: this work for additional information regarding copyright ownership.
:: The ASF licenses this file to You under the Apache License, Version 2.0
:: (the "License"); you may not use this file except in compliance with
:: the License.  You may obtain a copy of the License at
::
::     http://www.apache.org/licenses/LICENSE-2.0
::
:: Unless required by applicable law or agreed to in writing, software
:: distributed under the License is distributed on an "AS IS" BASIS,
:: WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
:: See the License for the specific language governing permissions and
:: limitations under the License.
::
:: $Id: run.bat 511415 2007-02-25 03:04:14Z vgritsenko $

set _XINDICE_HOME=%~dp0..\..\..
if not exist %_XINDICE_HOME%\config\commands.xml goto noHome
goto checkJava

:noHome
if exist %XINDICE_HOME%\config\commands.xml goto setHome
echo XINDICE_HOME is not set and could not be located. Please set XINDICE_HOME.
goto end

:setHome
set _XINDICE_HOME=%XINDICE_HOME%

:checkJava
if "%JAVACMD%" == "" set JAVACMD=java

set LOCALCLASSPATH=%_XINDICE_HOME%\build\guide-classes
for %%i in (%_XINDICE_HOME%\java\lib\*.jar) do call %_XINDICE_HOME%\bin\lcp.bat %%i
for %%i in (%_XINDICE_HOME%\dist\*.jar) do call %_XINDICE_HOME%\bin\lcp.bat %%i

if "%JAVA_HOME%" == "" goto run
if exist %JAVA_HOME%\lib\tools.jar call %_XINDICE_HOME%\bin\lcp.bat %JAVA_HOME%\lib\tools.jar
if exist %JAVA_HOME%\lib\classes.zip call %_XINDICE_HOME%\bin\lcp.bat %JAVA_HOME%\lib\classes.zip

:run
%JAVACMD% -cp %LOCALCLASSPATH% %1 %2 %3 %4 %5 %6 %7 %8 %9

:end
set LOCALCLASSPATH=
set _XINDICE_HOME=
